<?php
class RenovacionesAction extends wtActions
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        
        $s_OrdenId = $this->getRequestParameter( 'ord_id' );
        
        $o_VTA_OrdenFN = new VTA_OrdenFN();
        $this->o_VTA_OrdenBN = $o_VTA_OrdenFN->selectByPK( $s_OrdenId );
        
        $a_Cotizaciones = array();
        do 
        {
            $o_VTA_OrdenFN = new VTA_OrdenFN();
            $o_VTA_OrdenFN->setOrdenPadre( $s_OrdenId );
            $o_VTA_OrdenFN->addCondition( VTA_OrdenFN::OrdenEstado, "<>", VTA_OrdenBN::ESTADO_ANULADO );
            $a_VTA_Orden = $o_VTA_OrdenFN->select();
            if( $a_VTA_Orden )
            {
                $a_Cotizaciones = array_merge( $a_Cotizaciones, $a_VTA_Orden );
                $s_OrdenId = $a_VTA_Orden[0]->getOrdenId();
            }
            else
            {
                $s_OrdenId = null;
            }
        } 
        while ( $s_OrdenId );
        
        $this->a_Cotizaciones = $a_Cotizaciones;
    }
}